Bug 689432 - Review Request: collada-dom - COLLADA Document Object Model Library
Summary: Review Request: collada-dom - COLLADA Document Object Model Library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 674008
TreeView+ depends on / blocked
 
Reported: 2011-03-21 14:10 UTC by Tim Niemueller
Modified: 2011-06-02 18:50 UTC (History)
3 users (show)

Fixed In Version: collada-dom-2.3-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-14 20:55:19 UTC
lemenkov: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Tim Niemueller 2011-03-21 14:10:56 UTC
Spec URL: http://fedorapeople.org/~timn/misc/collada-dom.spec
SRPM URL: http://fedorapeople.org/~timn/misc/collada-dom-2.3-1.fc14.src.rpm
Description:
COLLADA is a royalty-free XML schema that enables digital asset exchange
within the interactive 3D industry. The COLLADA Document Object Model
(COLLADA DOM) is an application programming interface (API) that provides
a C++ object representation of a COLLADA XML instance document.

URL: http://www.collada.org

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2928102

rpmlint:
collada-dom.src: W: invalid-url Source0: collada-dom-2.3.tar.bz2
- No tarballs released by project (yet), instructions how to recreate tarball from svn in the spec comments. It is still a regular release, therefore the release part in the package version is "1" and not "0.1".

collada-dom-devel.x86_64: W: no-documentation
- no documentation exists

Comment 1 Tim Niemueller 2011-03-21 21:06:09 UTC
New koji build, a dependency was wrong before (changed files in place):
http://koji.fedoraproject.org/koji/taskinfo?taskID=2929514

Comment 2 Peter Lemenkov 2011-03-22 11:54:04 UTC
I'll review it

Comment 3 Peter Lemenkov 2011-03-24 10:08:24 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

work ~/Desktop: rpmlint collada-dom-*
collada-dom.src: W: invalid-url Source0: collada-dom-2.3.tar.bz2
collada-dom-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: diff -ru  collada-dom-2.3 collada-dom-2.3-from-src.rpm/
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are stored in a -devel package.
0 No static libraries.
+ The pkgconfig(.pc) files are stored in a -devel package and necessary runtime requirement added.
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.
+ The -devel package requires the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

APPROVED.

Comment 4 Tim Niemueller 2011-03-24 10:38:20 UTC
Thanks for the quick and thorough review.

New Package SCM Request
=======================
Package Name: collada-dom
Short Description: COLLADA Document Object Model Library
Owners: timn
Branches: f14 f15 el5 el6
InitialCC:

Comment 5 Jason Tibbitts 2011-03-24 12:42:21 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-04-06 10:38:25 UTC
collada-dom-2.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/collada-dom-2.3-2.fc14

Comment 7 Fedora Update System 2011-04-06 10:39:44 UTC
collada-dom-2.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/collada-dom-2.3-2.fc15

Comment 8 Fedora Update System 2011-04-06 10:40:25 UTC
collada-dom-2.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/collada-dom-2.3-2.el6

Comment 9 Fedora Update System 2011-04-06 22:34:53 UTC
collada-dom-2.3-2.fc14 has been pushed to the Fedora 14 testing repository.

Comment 10 Fedora Update System 2011-04-14 20:55:14 UTC
collada-dom-2.3-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 11 Fedora Update System 2011-04-21 19:55:57 UTC
collada-dom-2.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2011-06-02 10:56:21 UTC
collada-dom-2.3-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-06-02 18:50:05 UTC
collada-dom-2.3-2.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.